Subject: Re: bug#3208: 23.0.93; Memory full / crash when displaying lots of characters from a large font (like Arial Unicode or Code2000) which is not explicitly selected (on Win32)

From: Jason Rumney <[email-masked]>
Date: Thu, 25 Jun 2009 21:21:59 +0800

Kenichi Handa wrote:
> I've just installed another patch for fontset.c in trunk.
> With that, even in English language environment,
> (insert-char #x2203 10000) is not that slow.
>
> But, it may just hide the original problem of memory full.
> I'll keep on finding why that happens.
>   

It seems to avoid the problem in this case at least. I can now insert 
over a million of the characters from the original recipe without a 
problem (and within 5 seconds) by changing the 16 in the original recipe 
to 20.

I think this change should go in the release branch, then we can close 
the bug (or lower its priority if you would rather continue to investigate).